Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 18 reacties
Bron: ATi

ATi heeft zijn Linux-drivers voor zijn videokaarten weer eens bijgewerkt. Het versienummer is 3.14.6 en ze kunnen vanaf deze pagina worden opgehaald. De volledige release notes zijn hier na te lezen, maar dit zijn in het kort de veranderingen:

Issues Resolved
  • Doom 3: Random polygons no longer appear throughout the display while playing the game
  • 3D Applications no longer fail to respond on RHEL 3.0 with 1GB or more memory installed
  • The System no longer fails to respond when moving the mouse around on the screen on some systems
Known Issues
  • TV Display is Corrupt After Switching Resolutions
  • 3D Linux Applications Corrupt or Hang with Force Multi-Sample Visuals Enabled
  • X Fails to Load on Systems with Linux Kernel Version 2.6.x
  • 3D Applications Produce "Open of Shared Memory Object Failed" Error Message
[break]De volgende downloads zijn beschikbaar:
*ATi Linux Drivers 3.14.6 voor XFree86 4.1.0
*ATi Linux Drivers 3.14.6 voor XFree86 4.2.0
*ATi Linux Drivers 3.14.6 voor XFree86 4.3.0[break]
ATi Radeon 9800 XT
Versienummer:3.14.6
Besturingssystemen:Linux
Website:ATi
Download:http://www.ati.com/support/drivers/linux/radeon-linux.html
Licentietype:Freeware
Moderatie-faq Wijzig weergave

Reacties (18)

De drivers zijn "alleen" voor de kaarten vanaf de 8500.
Dus haal alsjeblieft de 7xxx serie uit dat lijstje, die fout wordt vaker gemaakt en is onnodig.

Nog steeds geen AMD64 ondersteuning en geen X.Org ondersteuning :(
Het werkt gewoon onder Xorg toch, ik bedoel ik gebruik Xorg 6.7.0 met ati drivers 3.14.1 (?) en het werkt allemaal gewoon hoor
Het werkt gewoon onder Xorg toch, ik bedoel ik gebruik Xorg 6.7.0 met ati drivers 3.14.1 (?) en het werkt allemaal gewoon hoor
Dat is puur toeval geweest. ATI heeft zich nog niet bekommerd om X.org, maar het zal verstandig zijn als ze dat wel eens deden..* Over een half jaar (volgende lan-party) heb ik een nieuwe video kaart nodig, en dat wordt een NVidia.

* van horen zeggen heb ik begrepen dat Munchen, wat overgaat op Linux, bewust heeft gekozen voor NVidia. zegt genoeg lijkt me.
Ik heb een AMD 64 en draai Gentoo Linux. Ik heb ook bewust gekozen voor nVidia vanwege de ondersteuning. Ik draai alles prima onder X0rg 6.8.0 en in 64 bit. Ook Cedega met 32-bits windowsspellen (Warcraft III bijvoorbeeld) draait prima.
Welke Xorg doet er op dit moment toe? 6.8.0 juist... en welke drivers doen het daar niet op?
Daarom werkt het toch wel op Xorg, alleen 6.8.0 (nog) niet.
Niet dat ik blij ben met de drivers van ati hoor, in mij nieuwe systeem komt cker weten een Nvidia.
De drivers werken niet officieel op XOrg. De enige reden dat het wel werkend te krijgen is is omdat XOrg een fork is die nu eenmaal veel op XFree86 lijkt. Vanaf dat er wat aangepast wordt (6.8 dus) loopt het de mist in.
...System no longer fails to respond when moving the mouse around on the screen...
Wow! En ze zeggen dat ATI slechte drivers maakt voor Linux, met deze versie kun je nu al tegelijk met X-windows werken EN de muis bewegen!!!

Good work ATI!!!
/Funny_Mode
He er staat dat het beeld niet vastloopt met bewegen er staat niks over klikken :P
:( Nog steeds geen 4.4 drivers. Ik denk er serieus over na om deze kaart te verkopen en dan een NV kaart te kopen. Onder Windows was ATI mijn favoriet, maar misschien is het tijd om om te schakelen.
Voor iedereen die ook baalt van de slechte ondersteuning van ATI voor Linux: Er loopt een petitie om ATI te overtuigen om nu eens eindelijk fatsoenlijke drivers af te leveren. Zie:
http://www.petitiononline.com/atipet/petition.html

Kan iemand misschien wat informatie toevoegen over het werkend krijgen van ATI drivers met X.Org 6.8.x ?
ATI & Xorg X11 6.8.0 is een no go :(
Heb van de week al veel zitten prutsen om het aan de gang te krijgen. Ik ga eens kijken of de videokaart te vervangen is in een Acer Aspire 2023. Zo ja >> nvidia. Zo niet... mja ... verder draaien met Radeon tot ze zelf met fatsoenlijke fglrx uitkomen.
Ik heb maar ff meegedaan met die petitie, ondanks dat ik het systeem waarin mijn ATI kaartje zit niet onder linux gebruik.....in mijn linux bakkie zit gezellie een Matrox G550 en die doet t toppie ;)
:Z

We wachten vrolijk op driver updates die wel terzake doen:

- Volledige support voor kernel 2.6.x
- Native support voor xorg (zonder patches etc).
- Makkelijkere installatie

Begrijp me niet verkeerd, de drivers zijn werkend te krijgen (draai ze zelf ook), maar voor beginners in Linux is het haast ondoenlijk. Vergeleken met nvidia is ATI's linux support nog steeds amateuristisch.
Even verdere informatie:
Vanavond om 22:00 is er een chat met ATI over de Linux support (of het totale gebrek eraan), door Rage3D georganiseerd.
irc.gamesurge.net #rage3d en #ATILinuxQ
Ipv eerst de drivers af te zeiken...probeer ze eens
Ik wil niets liever dan ze proberen, maar als je Xorg 6.8.x draait KAN je ze niet draaien, dat is het probleem....

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True